%define fw_version 5.24

Summary:	KDE Frameworks 5 policy and authentication module
Name:		kauth
Version:	5.24.0
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kauth-5.3.0-compile.patch
Patch1:		kauth-5.24.0-CVE-2017-8422.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	pkgconfig(polkit-qt5-1)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 policy and authentication module.

KAuth provides a convenient, system-integrated way to offload actions that need
to be performed as a privileged user (root, for example) to small (hopefully
secure) helper utilities.

%files
%{_kde5_datadir}/kf5/kauth/*.stub
%{_kde5_libexecdir}/kauth/kauth-policy-gen
%{_qt5_plugindir}/kauth/backend/kauth_backend_plugin.so
%{_qt5_plugindir}/kauth/helper/kauth_helper_plugin.so
%{_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.conf

#----------------------------------------------------------------------------

%package i18n
Summary:	KAuth translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KAuth translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5auth_major 5
%define libkf5auth %mklibname kf5auth %{kf5auth_major}

%package -n %{libkf5auth}
Summary:	KDE Frameworks 5 policy and authentication shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5auth}
KDE Frameworks 5 policy and authentication shared library.

%files -n %{libkf5auth}
%{_kde5_libdir}/libKF5Auth.so.%{kf5auth_major}*

#----------------------------------------------------------------------------

%define devkf5auth %mklibname kf5auth -d

%package -n %{devkf5auth}
Summary:	Development files for KDE Frameworks 5 policy and authentication module
Group:		Development/KDE and Qt
Requires:	%{libkf5auth} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5auth-devel = %{version}

%description -n %{devkf5auth}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5auth}
%{_kde5_includedir}/KF5/KAuth
%{_kde5_includedir}/KF5/kauth_version.h
%{_kde5_libdir}/cmake/KF5Auth
%{_kde5_libdir}/libKF5Auth.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5 -DKAUTH_BACKEND=PolkitQt5-1
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Thu May 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-2
- (644029d) Add patch to fix CVE-2017-8422


